Properties Methods Events Direct Link

# Class Ext.Updater.BasicRenderer

Package: | Ext
Defined In: | UpdateManager.js
Class: | Updater.BasicRenderer
Extends: | Object

Default Content renderer. Updates the elements innerHTML with the responseText.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

render( `Ext.Element el`, `Object response`, `Updater updateManager`, `Function callback` ) : void
This is called when the transaction is completed and it's time to update the element - The BasicRenderer updates the ...
This is called when the transaction is completed and it's time to update the element - The BasicRenderer updates the elements innerHTML with the responseText - To perform a custom render (i.e. XML or JSON processing), create an object with a "render(el, response)" method and pass it to setRenderer on the Updater.
Parameters:

- `el` : Ext.Element
  The element being rendered
- `response` : Object
  The XMLHttpRequest object
- `updateManager` : Updater
  The calling update manager
- `callback` : Function
  A callback that will need to be called if loadScripts is true on the Updater

Returns:

- `void`

Updater.BasicRenderer

## Public Events

This class has no public events.